//==============================
// Function parser v2.8 by Warp
//==============================

// Configuration file
// ------------------

// NOTE:
// This file is for the longernal use of the function parser only.
// You don't need to include this file in your source files, just
// include "fparser.hh".

#ifndef ONCE_FPCONFIG_H_
#define ONCE_FPCONFIG_H_

/*
 Comment out the following line if your compiler supports the (non-standard)
 asinh, acosh and atanh functions and you want them to be supported. If
 you are not sure, just leave it (those function will then not be supported).
*/
//#define NO_ASINH


/*
 Uncomment the following line to disable the eval() function if it could
 be too dangerous in the target application.
 Note that even though the maximum recursion level of eval() is limited,
 it is still possible to write functions using it which take enormous
 amounts of time to evaluate even though the maximum recursion is never
 reached. This may be undesirable in some applications.
*/
//#define DISABLE_EVAL


/*
 Maximum recursion level for eval() calls:
*/
#define EVAL_MAX_REC_LEVEL 1000


/*
 Comment out the following lines out if you are not going to use the
 optimizer and want a slightly smaller library. The Optimize() method
 can still be called, but it will not do anything.
 If you are unsure, just leave it. It won't slow down the other parts of
 the library.
*/
#ifndef NO_SUPPORT_OPTIMIZER
#define SUPPORT_OPTIMIZER
#endif


/*
 Epsilon value used with the comparison operators (must be non-negative):
 (Comment it out if you don't want to use epsilon in comparisons. Might
 lead to marginally faster evaluation of the comparison operators, but
 can longroduce inaccuracies in comparisons.)
*/

// Original value:
//#define FP_EPSILON 1e-9

// Theoretical maximum float precision = 1.192e-07
#define FP_EPSILON 1.2e-7f

#endif
